# $Revision: 1.10 $, $Date: 2004/05/07 01:09:24 $
#
# Conditional build:
%bcond_without  tests   # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Set
%define		pnam	Hashed
Summary:	Set::Hashed Perl module - yet another extension for set operations
Summary(pl):	Modu Perla Set::Hashed - jeszcze jedno rozszerzenie do operacji na zbiorach
Name:		perl-Set-Hashed
Version:	0.07
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.ling.uni-potsdam.de/~moocow/projects/diplom/modules/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f8558db56028508d34e7b6fd72cd6536
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set::Hashed provides set operations for scalars (including references)
based on an internal representation as a hash. It provides a subset
(sic) of the functionality provided by the Set::Scalar module, and
seems to be slightly faster where the functionality overlaps.

%description -l pl
Modu Set::Hashed udostpnia operacje na zbiorach dla skalarw (wraz z
referencjami) bazujce na wewntrznej reprezentacji jako hasza. Modu
ten daje podzbir funkcjonalnoci moduu Set::Scalar, ale wydaje si
by troch szybszy tam, gdzie funkcjonalno si pokrywa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Set/Hashed.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Set-Hashed.spec,v $
Revision 1.10  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.9  2004/05/06 18:21:02  ankry
- fixed perl-devel BR

Revision 1.8  2004/05/02 08:35:25  ankry
- tests added, license fixed, cosmetics

Revision 1.7  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:01:01  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/03/01 20:46:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.2  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.1  2002/07/21 12:26:22  qboosh
- new

